Page MenuHomePhabricator

Add Matxin as MT service for Spanish to Basque (ES->EU)
Closed, ResolvedPublic

Description

As discussed, Matxin is an Open Source Machine Translation engine that provides support for translating from Spanish (ES) to Basque (EU).

Since Content Translation does not provides Spanish-to-Basque MT support, it would be a good candidate to integrate.
This ticket is intended to collect the needed information for doing so, and tracking progress.

Event Timeline

Pginer-WMF raised the priority of this task from to Needs Triage.
Pginer-WMF updated the task description. (Show Details)
Restricted Application added subscribers: StudiesWorld, Aklapper. · View Herald TranscriptNov 23 2015, 1:38 PM
Pginer-WMF set Security to None.
Amire80 triaged this task as Medium priority.Nov 24 2015, 10:35 AM
Amire80 moved this task from Needs Triage to CX8 candidates on the ContentTranslation board.
Amire80 moved this task from CX8 to Bugs on the ContentTranslation board.Apr 20 2016, 1:07 PM
Arrbee added a subscriber: Arrbee.Jan 30 2017, 6:05 AM

API documentation needs to be reviewed. Creating a new ticket for this.

Arrbee moved this task from Bugs to MT on the ContentTranslation board.Oct 27 2017, 8:28 AM

Is there any news on this?

I'm working on this at: T186204

Change 374708 had a related patch set uploaded (by KartikMistry; owner: KartikMistry):
[mediawiki/services/cxserver/deploy@master] Add Matxin MT service config

https://gerrit.wikimedia.org/r/374708

Change 407197 had a related patch set uploaded (by KartikMistry; owner: KartikMistry):
[operations/puppet@production] WIP: Add Matxin MT config

https://gerrit.wikimedia.org/r/407197

Change 401435 had a related patch set uploaded (by KartikMistry; owner: KartikMistry):
[mediawiki/services/cxserver@master] Add Matxin MT config

https://gerrit.wikimedia.org/r/401435

KartikMistry closed this task as Resolved.Nov 1 2018, 5:07 AM